Subject: Re: [PATCH 0/11] annotating unused function parameters

From: Junio C Hamano <[email-masked]>
Date: Sat, 20 Aug 2022 14:21:53 -0700

Jeff King <[email-masked]> writes:

> Likewise, one thing I like about the renaming is that it fails
> compilation regardless of -Werror.

Yes, I like that aspect of the macro very much.

> And finally, I actually prefer the parentheses of:
>
>   static int register_ref(const char *refname, const struct object_id *oid,
> 			  int UNUSED(flags), void *UNUSED(cb_data))

That, too.

> So I dunno. These are all matters of opinion, and if it was just my
> patches, I'd say my taste wins. But all of us are going to have to write
> these annotations at some time or another when we add callbacks, etc. So
> we should at the very least pick a syntax the majority prefers. :)

Well, we can teach others a good taste ;-)